function add_skill001()

    m=global.GetGameStat()
    n=player.GetLevel(1)
    
    
--    if n==2 then
--    ui.ShowHelpDlg(4505)
--    end
    
    if n==2 then
    
	    player.AddMagic(60)
	    ui.Message(70007)--习得绝技：玄墨咒--夏侯瑾轩习得绝技：玄墨咒
    
    elseif n==10 then

	    player.AddMagic(61)
	    ui.Message(70008)--习得绝技：灵砚绘虎--夏侯瑾轩习得绝技：灵砚绘虎
    
    elseif n==20 then

	    player.AddMagic(62)
	    
	    if m==2 then
	    ui.Message(70009)--习得绝技：百马奔岳--夏侯瑾轩习得绝技：百马奔岳
	    end
    
	elseif n==25 and flag.GetValue(33555)==5 then
	
	    player.AddMagic(80)--潜龙濯
		if m==2 then
	    ui.Message(89667)--夏侯瑾轩习得绝技：潜龙濯
	    end
	    
    elseif n==30 then

	    player.AddMagic(63)
	    if m==2 then
	    ui.Message(70010)--习得绝技：丹青化五灵--夏侯瑾轩习得绝技：丹青化五灵
	    end
    
    
    elseif n==40 then
	    if m==2 then
	    ui.Message(70011)--习得绝技：文星耀太虚--夏侯瑾轩习得绝技：文星耀太虚
	    end
	    player.AddMagic(64)
	end

end